=== debian/control ===
Source: kaccounts-integration
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.97.0~),
               gettext,
               libaccounts-glib-dev (>= 1.21~),
               libaccounts-qt5-dev (>= 1.13~),
               libkf5config-dev (>= 5.4.0~),
               libkf5coreaddons-dev (>= 5.97.0~),
               libkf5dbusaddons-dev (>= 5.97.0~),
               libkf5declarative-dev (>= 5.97.0~),
               libkf5i18n-dev (>= 5.97.0~),
               libkf5iconthemes-dev (>= 5.4.0~),
               libkf5kcmutils-dev (>= 5.97.0~),
               libkf5kio-dev (>= 5.97.0~),
               libkf5wallet-dev (>= 5.97.0~),
               libkf5widgetsaddons-dev (>= 5.4.0~),
               libsignon-qt5-dev (>= 8.55~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qcoro-qt5-dev,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration

Package: kaccounts-integration
Architecture: any
Depends: qml-module-org-kde-kaccounts (= ${binary:Version}),
         qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         signon-kwallet-extension,
         signon-plugin-oauth2,
         signon-plugin-password,
         signon-ui-x11,
         signond,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kaccounts-providers
Breaks: kde-config-telepathy-accounts (<< 17.08),
        libktpcommoninternals9 (<< 17.08),
Description: System to administer web accounts
 Small system to administer web accounts for the sites and services
 across the Plasma desktop, including: Google, Facebook, Owncloud, IMAP,
 Jabber and others.

Package: libkaccounts-dev
Section: libdevel
Architecture: any
Depends: intltool,
         libaccounts-glib-dev,
         libaccounts-qt5-dev (>= 1.13~),
         libkaccounts2 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.97.0~),
         libsignon-qt5-dev (>= 8.55~),
         pkg-config,
         ${misc:Depends},
Description: System to administer web accounts - development files
 Small system to administer web accounts for the sites and services across the
 Plasma desktop, including: Google, Facebook, Owncloud, IMAP, Jabber and others.
 .
 This package contains development files.

Package: libkaccounts2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kaccounts-providers
Breaks: kaccounts-providers (<< 4:17.08),
        kde-config-telepathy-accounts (<< 17.08),
        kde-telepathy-auth-handler (<< 17.08),
        kde-telepathy-kaccounts (<< 17.08),
Description: System to administer web accounts - shared library
 Small system to administer web accounts for the sites and services across the
 Plasma desktop, including: Google, Facebook, Owncloud, IMAP, Jabber and others.
 .
 This package contains the shared library.

Package: qml-module-org-kde-kaccounts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAccounts QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KAccounts components written
 in QML.
