## kaccounts-integration 24.08.2

=== debian/changelog ===
kaccounts-integration (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 04 Nov 2024 14:51:46 -0600

kaccounts-integration (4:24.08.2-1) experimental; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Update dev package dependencies.

  [ Simon Quigley ]
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 04 Nov 2024 14:43:07 -0600

kaccounts-integration (4:24.08.0-1ubuntu2) plucky; urgency=medium

  * Remove extra path in install file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 04 Nov 2024 14:33:40 -0600

kaccounts-integration (4:24.08.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Kubuntuify package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 30 Oct 2024 15:16:37 -0500

kaccounts-integration (4:24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Aug 2024 12:52:48 +0200

kaccounts-integration (4:24.02.2-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Tighten dependencies against the Qt6 builds of the SignOn stack.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 25 May 2024 00:30:15 +0200

kaccounts-integration (4:24.02.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.02.2).
  * Build against Qt6:
    - switch from libkaccounts-dev to libkaccounts6-dev development package
    - switch from libkaccounts2 to libkaccounts6-2 shared library
    - switch from qml-module-org-kde-kaccounts to
      qml6-module-org-kde-kaccounts QML module.
  * Replace manual use of dh addons with dh-sequence-kf6 and
    dh-sequence-pkgkde-symbolshelper declarative build dependencies.
  * Replace transitional pkg-config build dependency with actual pkgconf.
  * Refresh copyright information.
  * Recommend systemsettings.
  * Improve package descriptions.
  * Drop old Breaks relations.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 21 May 2024 23:20:18 +0200
