=== debian/control ===
Source: kaccounts-integration
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libaccounts-qt6-dev (>= 1.16~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6kcmutils-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6wallet-dev (>= 5.240.0~),
               libsignon-qt6-dev (>= 8.61+git20231015.c8ad982~),
               pkgconf,
               pkg-kde-tools,
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration

Package: kaccounts-integration
Architecture: any
Depends: qml6-module-org-kde-kaccounts (= ${binary:Version}),
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         signon-kwallet-extension,
         signon-plugin-oauth2,
         signon-plugin-password,
         signon-ui-qt,
         signond,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kaccounts-providers, systemsettings
Description: integration for Accounts-SSO and SignOn-SSO
 KAccounts Integration provides a way to share accounts data such as login
 tokens and general user information (like usernames and such) between various
 applications.

Package: libkaccounts6-dev
Section: libdevel
Architecture: any
Depends: libkaccounts6-2 (= ${binary:Version}),
         intltool,
         libaccounts-qt6-dev (>= 1.16~),
         libkf6coreaddons-dev (>= 5.240.0~),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Description: integration library and QML module for Accounts-SSO and SignOn-SSO - development files
 KAccounts Integration provides a way to share accounts data such as login
 tokens and general user information (like usernames and such) between various
 applications.
 .
 The KAccounts library is a KDE Frameworks style abstraction layer on top of
 the Accounts-SSO and SignOnD libraries, which uses a combination of models and
 jobs to expose the functionality of those.
 .
 The kaccounts QML plugin exposes that functionality directly to Qt Quick based
 applications.
 .
 This package contains development files.

Package: libkaccounts6-2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: kaccounts-providers,
Description: integration library for Accounts-SSO and SignOn-SSO
 KAccounts Integration provides a way to share accounts data such as login
 tokens and general user information (like usernames and such) between various
 applications.
 .
 The KAccounts library is a KDE Frameworks style abstraction layer on top of
 the Accounts-SSO and SignOnD libraries, which uses a combination of models and
 jobs to expose the functionality of those.

Package: qml6-module-org-kde-kaccounts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: QML module for Accounts-SSO and SignOn-SSO
 KAccounts Integration provides a way to share accounts data such as login
 tokens and general user information (like usernames and such) between various
 applications.
 .
 The KAccounts library is a KDE Frameworks style abstraction layer on top of
 the Accounts-SSO and SignOnD libraries, which uses a combination of models and
 jobs to expose the functionality of those.
 .
 The kaccounts QML plugin exposes that functionality directly to Qt Quick based
 applications.
