## kaccounts-integration 24.12.0

=== debian/changelog ===
kaccounts-integration (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 19:16:11 +0100

kaccounts-integration (4:24.08.2-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing dependency from libkaccounts6-dev to libsignon-qt6-dev
    because KAccounts6 cmake module requires SignOnQt6.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 Dec 2024 22:57:58 +0100

kaccounts-integration (4:24.08.2-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Require Qt6 builds of runtime dependencies.
  * Demote signon-ui runtime dependencies to recommends, the systemsettings
    integration part works without it.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 27 Nov 2024 17:58:39 +0100

kaccounts-integration (4:24.08.2-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 24 Nov 2024 00:56:27 +0100

kaccounts-integration (4:24.08.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Let kaccounts-integration depend on signon-ui-service as the latter
    is needed to add certain types of accounts.

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Enable dh_qmldeps for kaccounts-integration.

 -- Sandro Knauß <hefee@debian.org>  Tue, 12 Nov 2024 17:22:08 +0100
