=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kaccounts-integration
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Diane Trout <diane@ghic.org>,
            Norbert Preining <norbert@preining.info>,
@@ -10,6 +9,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libaccounts-qt6-dev (>= 1.16~),
@@ -21,33 +21,32 @@
                libkf6kio-dev (>= 5.240.0~),
                libkf6wallet-dev (>= 5.240.0~),
                libsignon-qt6-dev (>= 8.61+git20231015.c8ad982~),
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
                qcoro-qt6-dev,
+               qml6-module-org-kde-kirigami,
+               qml6-module-org-kde-kcmutils,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaccounts-integration
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaccounts-integration.git
 
 Package: kaccounts-integration
 Architecture: any
-Depends: qml6-module-org-kde-kaccounts (= ${binary:Version}),
-         qml6-module-org-kde-kcmutils,
-         qml6-module-org-kde-kirigami,
-         qml6-module-qtquick,
-         qml6-module-qtquick-controls,
-         qml6-module-qtquick-layouts,
-         signon-kwallet-extension,
-         signon-plugin-oauth2,
-         signon-plugin-password,
-         signon-ui-qt,
-         signond,
+Depends: signon-kwallet-extension (>= 4:24.02.2~),
+         signon-plugin-oauth2 (>= 0.25+git~),
+         signon-plugin-password (>= 8.61+git~),
+         signond (>= 8.61+git~),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
-Recommends: kaccounts-providers, systemsettings
+Recommends: kaccounts-providers,
+            signon-ui-qt,
+            signon-ui-service,
+            systemsettings,
 Description: integration for Accounts-SSO and SignOn-SSO
  KAccounts Integration provides a way to share accounts data such as login
  tokens and general user information (like usernames and such) between various
@@ -56,11 +55,13 @@
 Package: libkaccounts6-dev
 Section: libdevel
 Architecture: any
-Depends: libkaccounts6-2 (= ${binary:Version}),
-         intltool,
+Depends: intltool,
          libaccounts-qt6-dev (>= 1.16~),
+         libkaccounts6-2 (= ${binary:Version}),
          libkf6coreaddons-dev (>= 5.240.0~),
+         qml6-module-org-kde-kaccounts (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
+         libsignon-qt6-dev (>= 8.61+git20231015.c8ad982~),
          ${misc:Depends},
 Description: integration library and QML module for Accounts-SSO and SignOn-SSO - development files
  KAccounts Integration provides a way to share accounts data such as login
@@ -94,7 +95,7 @@
 Package: qml6-module-org-kde-kaccounts
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: QML module for Accounts-SSO and SignOn-SSO
  KAccounts Integration provides a way to share accounts data such as login
  tokens and general user information (like usernames and such) between various
