## kaccounts-integration 24.12.1

=== debian/changelog ===
kaccounts-integration (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:11:50 +0000

kaccounts-integration (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:04:36 +0000

kaccounts-integration (4:24.11.90-0ubuntu2) plucky; urgency=medium

  * Restore depends on signon-ui-qt for amd64 arm64 armhf.

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Dec 2024 14:49:58 +0000

kaccounts-integration (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:03:07 +0000

kaccounts-integration (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 27 Nov 2024 18:13:15 +0000

kaccounts-integration (4:24.08.3-0ubuntu4) plucky; urgency=medium

  * Cannot depend on signon-ui-qt for now.

 -- Rik Mills <rikmills@kde.org>  Wed, 27 Nov 2024 12:06:06 +0000

kaccounts-integration (4:24.08.3-0ubuntu3) plucky; urgency=medium

  * Install qlogging-categories file.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 12:34:31 +0000

kaccounts-integration (4:24.08.3-0ubuntu2) plucky; urgency=medium

  * Rebase againt previous uploads.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 12:10:57 +0000

kaccounts-integration (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:36:29 +0000
