## kaccounts-integration 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,29 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KAccounts LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})
 
-set(QT_REQUIRED_VERSION "5.15.2")
-set(KF_MIN_VERSION "5.97.0")
+set(QT_REQUIRED_VERSION "6.5.0")
+set(KF_MIN_VERSION "6.1.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
+# make KDE CI pass the right flag when building for Qt5
+if($ENV{CI_JOB_NAME} MATCHES ".*qt515")
+   set(KF6_COMPAT_BUILD ON)
+endif()
+
+option(KF6_COMPAT_BUILD "Enable this to get a build to support KF5 applications" OFF)
+
+if(KF6_COMPAT_BUILD)
+   set(QT_REQUIRED_VERSION "5.15.2")
+   set(KF_MIN_VERSION "5.97.0")
+   set(QT_MAJOR_VERSION "5")
+endif()
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -29,14 +42,15 @@
 include(FeatureSummary)
 include(ECMQmlModule)
 include(ECMDeprecationSettings)
+include(ECMQtDeclareLoggingCategory)
 
 set(KACCOUNTS_SOVERSION "2")
 set(ACCOUNTSQT_DEP_VERSION "1.16")
 set(SIGNONQT_DEP_VERSION "8.55")
 set(ACCOUNTSGLIB_DEP_VERSION "1.21")
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Widgets)
-find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED KCMUtils I18n CoreAddons DBusAddons Declarative Wallet KIO Package)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Widgets Qml)
+find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED KCMUtils I18n CoreAddons DBusAddons Wallet KIO)
 
 find_package(AccountsQt${QT_MAJOR_VERSION} ${ACCOUNTSQT_DEP_VERSION} CONFIG)
 set_package_properties(AccountsQt${QT_MAJOR_VERSION} PROPERTIES DESCRIPTION "Accounts management library for Qt applications"
@@ -54,20 +68,27 @@
 
 qcoro_enable_coroutines()
 
-add_definitions (-DTRANSLATION_DOMAIN=\"kaccounts-integration\")
+add_definitions(-DTRANSLATION_DOMAIN=\"kaccounts-integration\")
 
 ecm_set_disabled_deprecation_versions(QT 5.13.0
      KF 5.101.0
-    )
-
+)
 
 add_subdirectory(src)
 
-ki18n_install(po)
+if(NOT KF6_COMPAT_BUILD)
+   ki18n_install(po)
+endif()
+
+ecm_qt_install_logging_categories(
+    EXPORT KAccounts
+    FILE kaccounts.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+)
 
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
