=== debian/changelog ===
kaccounts-integration (4:25.04.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update the build dependencies according to the upstream build system:
    - drop +dfsg from Qt 6 modules
    - bump KF6 libraries to 6.1.0
    - drop unused: libkf5coreaddons-dev, libkf5dbusaddons-dev, libkf5i18n-dev,
      libkf5kcmutils-dev, libkf5kio-dev, libkf5wallet-dev, qcoro-qt5-dev,
      qtbase5-dev, and qtdeclarative5-dev
  * Remove inactive Uploaders.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Oct 2025 08:15:06 +0200

kaccounts-integration (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:56:05 +0200

kaccounts-integration (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 22:42:28 +0200
