=== debian/control ===
--- 
+++ 
@@ -3,34 +3,31 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Diane Trout <diane@ghic.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 5.240.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.1.0~),
                gettext,
                libaccounts-qt6-dev (>= 1.16~),
-               libkf6config-dev (>= 5.240.0~),
-               libkf6coreaddons-dev (>= 5.240.0~),
-               libkf6dbusaddons-dev (>= 5.240.0~),
-               libkf6i18n-dev (>= 5.240.0~),
-               libkf6kcmutils-dev (>= 5.240.0~),
-               libkf6kio-dev (>= 5.240.0~),
-               libkf6wallet-dev (>= 5.240.0~),
+               libkf6config-dev (>= 6.1.0~),
+               libkf6coreaddons-dev (>= 6.1.0~),
+               libkf6dbusaddons-dev (>= 6.1.0~),
+               libkf6i18n-dev (>= 6.1.0~),
+               libkf6kcmutils-dev (>= 6.1.0~),
+               libkf6kio-dev (>= 6.1.0~),
+               libkf6wallet-dev (>= 6.1.0~),
                libsignon-qt6-dev (>= 8.61+git20231015.c8ad982~),
                pkg-kde-tools,
                pkgconf,
                qcoro-qt6-dev,
+               qml6-module-org-kde-kcmutils,
                qml6-module-org-kde-kirigami,
-               qml6-module-org-kde-kcmutils,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
-Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
+               qt6-base-dev (>= 6.5.0~),
+               qt6-declarative-dev (>= 6.5.0~),
+Standards-Version: 4.7.2
+Homepage: https://invent.kde.org/network/kaccounts-integration
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaccounts-integration
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaccounts-integration.git
 
@@ -58,10 +55,10 @@
 Depends: intltool,
          libaccounts-qt6-dev (>= 1.16~),
          libkaccounts6-2 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 5.240.0~),
+         libkf6coreaddons-dev (>= 6.1.0~),
+         libsignon-qt6-dev (>= 8.61+git20231015.c8ad982~),
          qml6-module-org-kde-kaccounts (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
-         libsignon-qt6-dev (>= 8.61+git20231015.c8ad982~),
          ${misc:Depends},
 Description: integration library and QML module for Accounts-SSO and SignOn-SSO - development files
  KAccounts Integration provides a way to share accounts data such as login
