## kaccounts-integration 25.08.1+p24.04+vstable+git20250920.1038

=== debian/changelog ===
kaccounts-integration (4:25.08.1+p24.04+vstable+git20250920.1038-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Sep 2025 10:38:26 +0000
