## kaccounts-integration 25.08.1+p24.04+vstable+git20251001.0557

=== debian/changelog ===
kaccounts-integration (4:25.08.1+p24.04+vstable+git20251001.0557-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 05:57:06 +0000
